"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const CheckMarkCircleSVG_1 = tslib_1.__importDefault(require("./CheckMarkCircleSVG"));
const AlertCircleSVG_1 = tslib_1.__importDefault(require("./AlertCircleSVG"));
const Toaster_1 = tslib_1.__importDefault(require("./Toaster"));
function LinkField({ url }) {
    const [isCopied, setIsCopied] = (0, react_1.useState)(false);
    const [isError, setIsError] = (0, react_1.useState)(false);
    const [showNotification, setShowNotification] = react_1.default.useState(false);
    const onCloseToaster = () => {
        setShowNotification(false);
        setIsCopied(false);
        setIsError(false);
    };
    (0, react_1.useEffect)(() => {
        if (isCopied || isError) {
            setShowNotification(true);
        }
    }, [isCopied, isError]);
    return (react_1.default.createElement("div", { className: 'cio-share-results-feature-group' },
        react_1.default.createElement("div", { className: 'cio-share-results-description' }, "Share by link"),
        react_1.default.createElement("div", { className: 'cio-share-results-button-group' },
            react_1.default.createElement("input", { className: 'cio-share-results-link-input', value: url, disabled: true }),
            react_1.default.createElement("button", { className: 'cio-share-results-share-button', type: 'button', onClick: () => {
                    try {
                        navigator.clipboard.writeText(url);
                        setIsCopied(true);
                    }
                    catch (_e) {
                        setIsError(true);
                    }
                } }, "Copy link")),
        showNotification && (react_1.default.createElement(Toaster_1.default, { icon: isCopied ? CheckMarkCircleSVG_1.default : AlertCircleSVG_1.default, message: isCopied
                ? 'Link copied to clipboard'
                : 'Sorry, there was an error copying. Please try again.', onCloseToaster: onCloseToaster }))));
}
exports.default = LinkField;
