"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const CloseSVG_1 = tslib_1.__importDefault(require("./CloseSVG"));
const LinkField_1 = tslib_1.__importDefault(require("./LinkField"));
const EmailField_1 = tslib_1.__importDefault(require("./EmailField"));
const useShareResultsLink_1 = tslib_1.__importDefault(require("../../hooks/useShareResultsLink"));
function ShareResultsModal({ onClose, quizState, onEmailResults, }) {
    var _a, _b;
    const url = (0, useShareResultsLink_1.default)(quizState);
    const results = (_b = (_a = quizState === null || quizState === void 0 ? void 0 : quizState.results) === null || _a === void 0 ? void 0 : _a.response) === null || _b === void 0 ? void 0 : _b.results;
    return (react_1.default.createElement("div", { className: 'cio-share-results-modal', role: 'presentation', onClick: onClose },
        react_1.default.createElement("div", { className: 'cio-share-results-container' },
            react_1.default.createElement("div", { className: 'cio-share-results-content', onClick: (e) => e.stopPropagation(), role: 'presentation' },
                react_1.default.createElement("div", { className: 'cio-share-results-header' },
                    react_1.default.createElement("div", { className: 'cio-share-results-title' }, "Share results"),
                    react_1.default.createElement("button", { onClick: onClose, type: 'button', className: 'cio-modal-close-button', "aria-label": 'Close button' },
                        react_1.default.createElement(CloseSVG_1.default, null))),
                react_1.default.createElement("div", null, onEmailResults
                    ? 'Share or save your quiz results through email or using the link below.'
                    : 'Share or save your quiz results with this link.'),
                onEmailResults && (react_1.default.createElement(EmailField_1.default, { onSubmit: (email) => onEmailResults({ email, url, results }) })),
                react_1.default.createElement(LinkField_1.default, { url: url })))));
}
exports.default = ShareResultsModal;
