"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useNextQuestionButtonProps(nextQuestion, quizApiState, quizLocalState) {
    const getNextQuestionButtonProps = (0, react_1.useCallback)(() => {
        var _a, _b, _c, _d, _e, _f;
        const currentQuestionId = (_b = (_a = quizApiState.quizCurrentQuestion) === null || _a === void 0 ? void 0 : _a.next_question) === null || _b === void 0 ? void 0 : _b.id;
        let buttonDisabled;
        if (currentQuestionId && !((_c = quizApiState.quizCurrentQuestion) === null || _c === void 0 ? void 0 : _c.isCoverQuestion)) {
            buttonDisabled =
                !((_d = quizLocalState.answerInputs[currentQuestionId]) === null || _d === void 0 ? void 0 : _d.value) ||
                    !((_f = (_e = quizLocalState.answerInputs[currentQuestionId]) === null || _e === void 0 ? void 0 : _e.value) === null || _f === void 0 ? void 0 : _f.length);
        }
        return {
            className: buttonDisabled ? 'cio-question-cta-button disabled' : 'cio-question-cta-button',
            tabIndex: buttonDisabled ? -1 : 0,
            'aria-disabled': buttonDisabled ? 'true' : 'false',
            'aria-describedby': buttonDisabled ? 'next-button-help' : '',
            type: 'button',
            onClick: () => {
                nextQuestion();
            },
        };
    }, [quizApiState.quizCurrentQuestion, quizLocalState.answerInputs, nextQuestion]);
    return getNextQuestionButtonProps;
}
exports.default = useNextQuestionButtonProps;
