"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = require("react");
const actions_1 = require("../../components/CioQuiz/actions");
const useQueryParams_1 = tslib_1.__importDefault(require("../useQueryParams"));
const useQuizResetClick = (props) => {
    const { resetQuizSessionStorageState, dispatchLocalState, dispatchApiState, quizResults } = props;
    const { removeSharedResultsQueryParams, isSharedResultsQuery } = (0, useQueryParams_1.default)();
    const quizResetClickHandler = (0, react_1.useCallback)(() => {
        if (quizResults) {
            dispatchLocalState({
                type: actions_1.QuestionTypes.Reset,
            });
            dispatchApiState({
                type: actions_1.QuizAPIActionTypes.RESET_QUIZ,
            });
            resetQuizSessionStorageState();
            if (isSharedResultsQuery)
                removeSharedResultsQueryParams();
        }
    }, [
        dispatchLocalState,
        dispatchApiState,
        resetQuizSessionStorageState,
        quizResults,
        removeSharedResultsQueryParams,
        isSharedResultsQuery,
    ]);
    return quizResetClickHandler;
};
exports.default = useQuizResetClick;
