import React, { useContext } from 'react';
import QuizContext from '../CioQuiz/context';
import ResultFiltersAndShare from '../ResultFiltersAndShare/ResultFiltersAndShare';
import ZeroResults from '../ZeroResults/ZeroResults';
import Results from '../Results/Results';
import Spinner from '../Spinner/Spinner';
import ResultsHeaderContainer from '../ResultsHeaderContainer/ResultsHeaderContainer';
import RedoButton from '../RedoButton/RedoButton';
export default function ResultContainer(props) {
    const { resultCardOptions, onShare, resultsPageOptions } = props;
    const { state } = useContext(QuizContext);
    const { resultCardSalePriceKey, resultCardRegularPriceKey, resultCardRatingCountKey, resultCardRatingScoreKey, renderResultCardPriceDetails, } = resultCardOptions || {};
    const numberOfResults = state?.quiz.results?.response?.results?.length;
    const resultsConfig = state?.quiz.resultsConfig;
    const zeroResults = !numberOfResults;
    if (state?.quiz.results) {
        return (React.createElement("div", { className: 'cio-results-container' },
            !zeroResults && React.createElement(ResultsHeaderContainer, { resultsConfig: resultsConfig }),
            !zeroResults && (React.createElement(ResultFiltersAndShare, { numberOfResults: numberOfResults, onShare: onShare, showShareButton: !!resultsPageOptions?.showShareResultsButton })),
            !zeroResults && (React.createElement(Results, { resultCardSalePriceKey: resultCardSalePriceKey, resultCardRegularPriceKey: resultCardRegularPriceKey, resultCardRatingCountKey: resultCardRatingCountKey, resultCardRatingScoreKey: resultCardRatingScoreKey, renderResultCardPriceDetails: renderResultCardPriceDetails })),
            zeroResults && React.createElement(ZeroResults, null),
            !zeroResults && (React.createElement("div", { className: 'cio-redo-button-container' },
                React.createElement(RedoButton, null)))));
    }
    return (React.createElement("div", { className: 'cio-results-container' },
        React.createElement(Spinner, null)));
}
