import React from 'react';
import CloseSVG from './CloseSVG';
import LinkField from './LinkField';
import EmailField from './EmailField';
import useShareResultsLink from '../../hooks/useShareResultsLink';
export default function ShareResultsModal({ onClose, quizState, onEmailResults, }) {
    const url = useShareResultsLink(quizState);
    const results = quizState?.results?.response?.results;
    return (React.createElement("div", { className: 'cio-share-results-modal', role: 'presentation', onClick: onClose },
        React.createElement("div", { className: 'cio-share-results-container' },
            React.createElement("div", { className: 'cio-share-results-content', onClick: (e) => e.stopPropagation(), role: 'presentation' },
                React.createElement("div", { className: 'cio-share-results-header' },
                    React.createElement("div", { className: 'cio-share-results-title' }, "Share results"),
                    React.createElement("button", { onClick: onClose, type: 'button', className: 'cio-modal-close-button', "aria-label": 'Close button' },
                        React.createElement(CloseSVG, null))),
                React.createElement("div", null, onEmailResults
                    ? 'Share or save your quiz results through email or using the link below.'
                    : 'Share or save your quiz results with this link.'),
                onEmailResults && (React.createElement(EmailField, { onSubmit: (email) => onEmailResults({ email, url, results }) })),
                React.createElement(LinkField, { url: url })))));
}
