import { useMemo } from 'react';
import { getCioClient } from '../services';
const useCioClient = ({ apiKey, cioJsClient }) => {
    if (!apiKey && !cioJsClient) {
        throw new Error('Either apiKey or cioJsClient is required');
    }
    const memoizedCioClient = useMemo(() => cioJsClient || getCioClient(apiKey), [apiKey, cioJsClient]);
    return memoizedCioClient;
};
export default useCioClient;
