import { useCallback } from 'react';
import { trackQuizConversion } from '../../services';
import { isFunction } from '../../utils';
const useQuizAddToCart = (cioClient, quizApiState, onAddToCartClick) => {
    const quizAddToCartClickHandler = useCallback((e, result, price) => {
        e.preventDefault();
        if (quizApiState.quizResults) {
            // Tracking call
            trackQuizConversion(cioClient, quizApiState.quizResults, result, price);
            // User custom callback function
            if (isFunction(onAddToCartClick)) {
                onAddToCartClick(result);
            }
        }
    }, [quizApiState, cioClient, onAddToCartClick]);
    return quizAddToCartClickHandler;
};
export default useQuizAddToCart;
