import ConstructorIOClient, { type GetBrowseResultsForItemIdsResponse } from '@constructor-io/constructorio-client-javascript';
import { QuizzesParameters, QuizzesResultsParameters, NextQuestionResponse, QuizResultsResponse, QuizResultDataPartial, QuizSharedResultsData, QuizResultsConfigResponse } from '../types';
export declare const getCioClient: (apiKey?: string) => ConstructorIOClient | undefined;
export declare const getNextQuestion: (cioClient: ConstructorIOClient, quizId: string, parameters: QuizzesParameters) => Promise<NextQuestionResponse>;
export declare const getQuizResults: (cioClient: ConstructorIOClient, quizId: string, parameters: QuizzesResultsParameters) => Promise<QuizResultsResponse>;
export declare const getQuizResultsConfig: (cioClient: ConstructorIOClient, quizId: string, parameters: Pick<QuizzesParameters, 'quizVersionId'>) => Promise<QuizResultsConfigResponse>;
export declare const getBrowseResultsForItemIds: (cioClient: ConstructorIOClient, itemIds: string[]) => Promise<GetBrowseResultsForItemIdsResponse>;
export declare const trackQuizResultsLoaded: (cioClient: ConstructorIOClient, quizResults: QuizResultsResponse | QuizSharedResultsData) => void;
export declare const trackQuizResultClick: (cioClient: ConstructorIOClient, quizResults: QuizResultsResponse | QuizSharedResultsData, result: QuizResultDataPartial, position: number) => void;
export declare const trackQuizConversion: (cioClient: ConstructorIOClient, quizResults: QuizResultsResponse | QuizSharedResultsData, result: QuizResultDataPartial, price?: number | string, type?: string) => void;
